org.apache.cassandra.tools

## Class NodeTool.SetCacheKeysToSave

- java.lang.Object
- - org.apache.cassandra.tools.NodeTool.NodeToolCmd
  - - org.apache.cassandra.tools.NodeTool.SetCacheKeysToSave

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  NodeTool

    @Command(name="setcachekeystosave",
             description="Set number of keys saved by each cache for faster post-restart warmup. 0 to disable")
    public static class NodeTool.SetCacheKeysToSave
    extends NodeTool.NodeToolCmd

### Constructor Summary

Constructors
Constructor and Description
`NodeTool.SetCacheKeysToSave()`

### Method Summary

Methods
`void` `execute(NodeProbe probe)`

### Methods inherited from class org.apache.cassandra.tools.NodeTool.NodeToolCmd

`parseOptionalColumnFamilies, parseOptionalKeyspace, run`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### NodeTool.SetCacheKeysToSave

    public NodeTool.SetCacheKeysToSave()

### Method Detail

#### execute

    public void execute(NodeProbe probe)

Specified by:
  `execute` in class `NodeTool.NodeToolCmd`